## org.python.core
Class Pragma.PragmaModule

    java.lang.Object
      org.python.core.Pragma.PragmaModule

Direct Known Subclasses:
  Pragma.ForbiddenPragmaModule

Enclosing interface:
  Pragma

    public abstract static class Pragma.PragmaModule

extends Object

Field Summary
`String` `name`

Method Summary
`abstract Pragma` `getPragma(String name)`
`abstract Pragma` `getStarPragma()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

Method Detail

### getPragma

    public abstract Pragma getPragma(String name)

### getStarPragma

    public abstract Pragma getStarPragma()

Jython homepage